<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@+id/register">


    <fragment
        android:id="@+id/fragment_started"
        android:name="com.yumzy.orderfood.ui.screens.login.fragment.StartedFragment"
        android:label="fragment_title_screen"
        tools:layout="@layout/fragment_started">
        <action
            android:id="@+id/fragment_started_screen_to_set_location"
            app:destination="@id/set_location"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
        <action
            android:id="@+id/fragment_started_screen_to_login"
            app:destination="@id/login"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>


    <fragment
        android:id="@+id/login"
        android:name="com.yumzy.orderfood.ui.screens.login.fragment.LoginFragment"
        android:label="fragment_login"
        tools:layout="@layout/fragment_login">
        <action
            android:id="@+id/fragment_login_to_otp_verify"
            app:destination="@id/otpverify"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/fragment_login_to_register"
            app:destination="@id/register"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:popUpTo="@id/login"
            app:popUpToInclusive="true" />

        <action
            android:id="@+id/fragment_login_to_started"
            app:destination="@id/fragment_started"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <argument
            android:name="phoneNumber"
            android:defaultValue=""
            app:argType="string" />
    </fragment>

    <fragment
        android:id="@+id/register"
        android:name="com.yumzy.orderfood.ui.screens.login.fragment.RegisterFragment"
        android:label="fragment_register"
        tools:layout="@layout/fragment_create_account">
        <action
            android:id="@+id/fragment_register_to_otp_verify"
            app:destination="@id/otpverify"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/fragment_register_to_login"
            app:destination="@id/login"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:popUpTo="@id/register"
            app:popUpToInclusive="true" />

        <argument
            android:name="phoneNumber"
            android:defaultValue=""
            app:argType="string" />

    </fragment>
    <fragment
        android:id="@+id/otpverify"
        android:name="com.yumzy.orderfood.ui.screens.login.fragment.OTPVerifyFragment"
        android:label="fragment_otp_verify"
        tools:layout="@layout/fragment_otp_verify">
        <action
            android:id="@+id/fragment_otp_to_set_location"
            app:destination="@id/set_location"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:popUpTo="@id/nav_graph"
            app:popUpToInclusive="true" />
        <argument
            android:name="RegisterUser"
            app:argType="com.yumzy.orderfood.data.ui.RegisterUserDTO"
            app:nullable="true" />
    </fragment>

    <fragment
        android:id="@+id/set_location"
        android:name="com.yumzy.orderfood.ui.screens.login.fragment.SetLocationFragment"
        android:label="fragment_set_location"
        tools:layout="@layout/fragment_set_location">


        <!--        <action-->
        <!--            android:id="@+id/fragment_set_location_to_fetch_location"-->
        <!--            app:destination="@id/fetch_location"-->
        <!--            app:enterAnim="@anim/slide_in_right"-->
        <!--            app:exitAnim="@anim/slide_out_left"-->
        <!--            app:popEnterAnim="@anim/slide_in_left"-->
        <!--            app:popExitAnim="@anim/slide_out_right"-->
        <!--            app:popUpTo="@id/set_location"-->
        <!--            app:popUpToInclusive="true"-->

        <!--            />-->
        <argument
            android:name="from"
            app:argType="string" />
    </fragment>


</navigation>
